<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_25867e3e3db289" . "69253f3a370c316" . "6ba" => base64_decode("ZGVz" . "Yw=="), "_6f38e6660ae5bf0084b6696665885" . "89c" => base64_decode("bWV0" . "YV8="), "_bd71c3b5c201fc" . "11db82ed14ce424" . "de5" => base64_decode("aW5fYXJyY" . "Xk="), "_047cc9462af7309dc" . "f204586ff650a9d" => base64_decode("X3RyZWVw" . "YWdpbmc="), "_37d6fcac1e4ca360" . "eb11bb40c4897aea" => base64_decode("U0VTU" . "0lPTl" . "8="), "_aa7e860da1acd4e767e" . "0df9d7d407380" => base64_decode("ZGF0" . "ZV9j" . "cmVh" . "dGVk"), "_b73e798a041f8fcca58bc46a" . "fd24552c" => base64_decode("aWNvbl9l" . "ZGl0"), "_a591754a8ddcd" . "bda9c80f1db4d9" . "11e14" => base64_decode("aXNfbnVsb" . "A=="), "_b66252d" . "7bbf3610" . "12a6531a" . "8e3a7323" . "0" => base64_decode("YXJyYXlfZGlmZg" . "=="), "_cfe3120f54395b670652b38" . "c2d0a8e88" => base64_decode("c3Vi" . "c3Ry"));





class ImageListViewController extends ClaTreeViewController
{
    protected $columns_to_show;
    protected $album_id;
    
    
    
    
    
    public function __construct()
    {
        parent::__construct();
        $this->SetPagingParams(true, 15, 0);
        $this->sort_column = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_aa7e860da" . "1acd4e767e" . "0df9d7d407" . "380"];
        $this->sort_direction = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_25867e3e3db28969253f3a" . "370c3166ba"];
        $this->metadata = array();
        
        
        $this->columns_to_show = null;
        $this->album_id = 0;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function SetPagingParams($use_paging, $page_size = 20, $page_offset = 0, $max_items_wo_paging = null, $max_items_to_process = 1000)
    {
        parent::SetPagingParams($use_paging, $page_size, $page_offset, $max_items_wo_paging, $max_items_to_process);
        $this->max_items_wo_paging = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_a591754a8ddcdbda9c8" . "0f1db4d911e14"]($max_items_wo_paging) ? $page_size : $max_items_wo_paging;
        return true;
    }
    protected function _BranchOpenCloseAll($id, $status)
    {
    }
    public static function DoTreeGPCOperations($controller, $session_prefix, $album_id = null)
    {
        
        
        $_f2d45f565f12276f8d871b3e215d01eb = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_37d6fcac1e4ca360eb11" . "bb40c4897aea"] . $session_prefix . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_047cc9462" . "af7309dcf2" . "04586ff650" . "a9d"];
        $_SESSION[$_f2d45f565f12276f8d871b3e215d01eb] = array();
        $controller->album_id = $album_id;
        ClaTreeViewController::DoTreeGPCOperations($controller, $session_prefix, $album_id);
        if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_a591754a8ddcdbda9c80f1db4d" . "911e14"]($controller->columns_to_show)) {
            $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($controller->album_id);
            $controller->columns_to_show = $_0bc7588938bfc7dc40d438d105dcdf1c->GetListColumns();
            $controller->metadata = array();
            foreach ($controller->columns_to_show as $_39ee6ebc906f3b410a43566f3d34d868) {
                if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_cfe3120f54395b6706" . "52b38c2d0a8e88"]($_39ee6ebc906f3b410a43566f3d34d868, 0, 5) == $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_6f38e6660ae5bf0084b6696665" . "88589c"]) {
                    $controller->metadata[] = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_cfe3120f54395b670652b38c2d0a8e8" . "8"]($_39ee6ebc906f3b410a43566f3d34d868, 5);
                }
            }
            if ($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_bd71c3b5c20" . "1fc11db82ed1" . "4ce424de5"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_b73e798a041" . "f8fcca58bc46" . "afd24552c"], $controller->columns_to_show)) {
                if (!$controller->IsAdminMode() && !$_0bc7588938bfc7dc40d438d105dcdf1c->UserHasPermission(PERM_EDIT_META)) {
                    $controller->columns_to_show = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b66252d7bbf" . "361012a6531a" . "8e3a73230"]($controller->columns_to_show, array($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_b73e798a041f8fcca5" . "8bc46afd24552c"]));
                }
            }
        }
    }
    
    
    
    
    
    
    public function GetColumnsListToShow()
    {
        
        
        $_189840d11056515e52402d1412a0b6e4 = $this->columns_to_show;
        
        
        
        
        
        return $_189840d11056515e52402d1412a0b6e4;
    }
}